<?php
/**
 * Stub implementation for the cache structure.
 *
 * PHP version 5
 *
 * @category   Kolab
 * @package    Kolab_FreeBusy
 * @subpackage UnitTests
 * @author     Gunnar Wrobel <wrobel@pardus.de>
 * @license    http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link       http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */
class Horde_Kolab_FreeBusy_Stub_Structure
extends Horde_Kolab_FreeBusy_Cache_Structure_Base
{
    private $aclcache;
    private $xaclcache;

    public function setAclDbCache($aclcache)
    {
        $this->aclcache = $aclcache;
    }

    /**
     * Return the DB based cache for ACL.
     *
     * @return Horde_Kolab_FreeBusy_Cache_Db_Acl The cache.
     */
    public function getAclDbCache()
    {
        return $this->aclcache;
    }

    public function setXaclDbCache($xaclcache)
    {
        $this->xaclcache = $xaclcache;
    }

    /**
     * Return the DB based cache for extended ACL.
     *
     * @return Horde_Kolab_FreeBusy_Cache_Db_Xacl The cache.
     */
    public function getXaclDbCache()
    {
        return $this->xaclcache;
    }
}

